/*
 *  system.c
 *  
 *  General purpose routines for system-level tasks
 *  such as error reporting and memory management
 *
 *  Created by Andrew Pershing on Tue Feb 26 2002.
 *
 */

#include "system.h"

void Error(char *subrout, char *msg){
    
      printf("ERROR in function %s: \n", subrout);
      printf("       %s\n", msg);
      exit(-1);
      
  }
  
double *newarray_double(int dim1, char *sub, char *msg){
    double *ar, *ptr;
    int j;

    ar=malloc(sizeof(double)*(dim1));
    if(ar==NULL){
      Error(sub, msg);
    }
    ptr=ar;
      for(j=0; j<dim1; j++){
        *ptr=0.0;
        ptr++;
      }
    return(ar);
  }
