/*
 *  system.h
 *  
 *  General purpose routines for system-level tasks
 *  such as error reporting and memory management
 *
 *  Created by Andrew Pershing on Tue Feb 26 2002.
 *
 */

#include <stdio.h>
#include <stdlib.h>


void Error(char *subrout, char *msg);
    /* Prints the error message in msg and exits */
    
double *newarray_double(int dim1, char *sub, char *msg);
    /* Allocates an array of dim1 doubles.  */
    /* If the system is unable to allocate, */
    /* then sub and msg are passed to error */
    